# app/mailers/consolidacao_mailer.rb
class ConsolidacaoMailer < ApplicationMailer
  default from: ENV.fetch('SMTP_USERNAME', 'noreply@gade.com.br')

  def pagamento_fechado(user, consolidacao, consolidacao_motorista)
    @user         = user
    @consolidacao = consolidacao
    @valor        = consolidacao_motorista.valor_total
    @link_painel  = "https://#{ENV.fetch('APP_HOST', 'localhost:3000')}/motorista"

    mail to: user.email,
         subject: "💰 Seu pagamento foi fechado — #{consolidacao.nome}"
  end

  def pagamento_efetuado(user, consolidacao, consolidacao_motorista)
    @user         = user
    @consolidacao = consolidacao
    @valor        = consolidacao_motorista.valor_total
    @forma        = consolidacao_motorista.forma_pagamento
    @link_painel  = "https://#{ENV.fetch('APP_HOST', 'localhost:3000')}/motorista"

    mail to: user.email,
         subject: "✅ Seu pagamento foi efetuado — #{consolidacao.nome}"
  end
end
